#' Convert a range of Cts to relative values representing copy number
#'@details This function uses the standard curve for each assay to convert Ct to copy number. Use drows and dcols to specify
#'the data that you want to convert. Only cells that intersect these two vectors will be converted.
#'@param data    this is an object created by the cleanavg() function
#'@param drows  a vector of the rows you want to convert 
#'@param dcols a vector of the columns you want to convert 
#'@param effic an object created by the effcalc function for the above data object
#'@return original object but with range converted to relative values.
#'@export

absquant<-function(data,drows,dcols,effic){
  
  abs<-data
  
  for(j in dcols){
    erow<-match(colnames(data)[j],effic[,1])
      for(i in drows){
        abs[i,j]<-10^((data[i,j]-effic[erow,4])/effic[erow,3])
      }
  }
return(abs)
  }