#' Find reportables and place in format to enter for reporting
#'@details           This function allows you to quickly find reportable assays with their duplicates.
#'@param chip        function works for one chip at a time. Works on format following importchip() function.
#'@param assay       Reportable assay entered by user (one at a time)
#'@param cleanchip   name of a chip that has been cleaned so that VIC screening can be applied.
#'@return            A data frame to be entered into excel sheet
#'@export


reportables<-function(chip,assay,cleanchip){
  ac<-which(!is.na(cleanchip[,match(assay,colnames(cleanchip))]))
  sID<-unique(cleanchip$Sample[ac])
  sID<-sID[-which(substr(sID,1,3)=="con")]
  
  m<-data.frame(matrix(NA,nrow=length(sID),ncol=3))
  for(i in 1: length(sID)){
    m[i,1]<-chip[which(chip$Sample==sID[i] & chip$FAssay==assay)[1],9]
    m[i,2]<-chip[which(chip$Sample==sID[i] & chip$FAssay==assay)[2],9]
    m[i,3]<-sID[i]
    m[,1:2]<-round(m[,1:2],2)
  }
  return(m)
}
