% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/NAsoutliers.R
\name{NAs.outliers}
\alias{NAs.outliers}
\title{Identify outliers and replace outliers and NAs in biomarkers with column average}
\usage{
NAs.outliers(normalizedchip, NA.action = "replace", outlier.action = NULL)
}
\arguments{
\item{normalizedchip}{the output from normalize (or a combination of multiple normalized outputs), although this could also be a non-normalized chip}

\item{NA.action}{'none' will do nothing, 'replace' will replace NAs with column averages}

\item{outlier.action}{'NULL' will do nothing, 'replace' will replace outliers with column averages, 'find' will identify and report outliers}
}
\value{
data the altered (if actions are not set to 'none')

outl a dataframe containing the row number, the assay name, the SD x 4, and the outlier value

NAs  a dataframe containing the assay and sample combos of NAs that were replaced with averages
}
\description{
Identify outliers and replace outliers and NAs in biomarkers with column average
}
\details{
It may be desirable to identify outliers within the dataset and to fill NAs for biomarkers in preparation for Principal Components Analysis. This function will: 1) identify biomarker samples that are greater than 4 standard deviations from the group mean, 2) replace these outliers with the group mean if desired, and 3) replace NAs with the group mean if desired. Samples from multiple chips can be combined for use with this function and this is desired when samples from a single population are on multiple chips.
}
