% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cleanavg.R
\name{cleanavg}
\alias{cleanavg}
\title{Clean and average duplicate heatmap data}
\usage{
cleanavg(importedchip, LOD = NULL)
}
\arguments{
\item{importedchip}{this is the output object from the importchip() function}

\item{LOD}{applies LOD screening, an integer applies a global Ct valye, and "assay_LOD" applies assay specific values, default = NULL}
}
\value{
data              the cleaned dataset for analysis

fails             a list of the sample/assay combos that failed and were removed

vicpos            a list of VIC positive microbe samples

single            a list of microbe samples that were not positive in both duplicates

blankpos          a list of blanks that were positive

effdata           a dataset to be used in the effcalc() function

overLOD           a list of samples that had Cts above the LOD, if specified

LODlist           a list of the LOD limits that were applied (CSAS Table 3)
}
\description{
Clean and average duplicate heatmap data
}
\details{
This function will, in the following order: 1) apply pass/fail screening to FAM data, 2) apply VIC screening to FAM data, 3) replace high Cps for microbes 
with NA if LOD is specified, 4) average all duplicate assays, 5) identify positives in blanks,. If a microbe assay is missing a duplicate, it is assigned an NA. If a 
biomarker is missing a duplicate, it is replaced with the value of the existing duplicate (no averaging occurs). 

The LOD values, which come from the 2015 CSAS (Table 3), are created within the function and therefore can not be edited by end users. I can change this if there is a desire for it!
}
