% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/effcalc.R
\name{effcalc}
\alias{effcalc}
\title{Calculate assay efficiencies and identify failed assays}
\usage{
effcalc(effdata, plot = NULL)
}
\arguments{
\item{effdata}{this is an object created by the cleanavg() function}

\item{plot}{If set to TRUE, standard curve plots for each assay will be produced. Default is NULL. At this time, the function can only plot for up to 60 assays at a time.}
}
\value{
The function returns a dataframe containing efficiency (0-2), the number of points in the standard curve (non NAs), the r-squared, and the y-int. This object is applied to other functions in this package
}
\description{
Calculate assay efficiencies and identify failed assays
}
\details{
This function will: 1) calculate efficiencies for each assay, 2) report the assays that failed (had less than 3 points in their standard curves), 3) return an object that contains the efficiency, N, y-intercept, and R-squared for each efficiency calculation (for use in later functions), 4) plot each standard curve if specified
}
